# Newsletter Signup

The newsletter signup allows for signing up people for a newsletter. No sending of e-mail of managing subscriber status is done after signing up.

```
{
  "config": {
    "newslettersignup": {
      "isActive": true
    }
  }
}
```

## Endpoints

| Route                                      | Description                                                                                             |
| ------------------------------------------ | ------------------------------------------------------------------------------------------------------- |
| `GET /api/site/:SITE_ID/newslettersignup`  | <p>List all newsletter signups for a site<br>Query params: confirmed. Only available for moderators</p> |
| `POST /api/site/:SITE_ID/newslettersignup` | Create a newslettersignup                                                                               |

## Signup confirm (beta)

There is the possibility to send an e-mail and let the user confirm the signup. This is however in Beta and currently not active used.

`POST /api/site/:SITE_ID/confirm`

Payload:

```
{
  "confirmToken": "TOKEN"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openstad.org/openstad/technical/api/resource-newslettersignup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
